ONVIF::Device::Types::IPv4Configuration(3)

NAME
ONVIF::Device::Types::IPv4Configuration

DESCRIPTION
Perl data type class for the XML Schema defined complexType IPv4Configuration from the namespace http://www.onvif.org/ver10/schema.

  PROPERTIES
The following properties may be accessed using get_PROPERTY / set_PROPERTY methods:

•   Manual

•   LinkLocal

•   FromDHCP

•   DHCP

METHODS

  new
Constructor. The following data structure may be passed to new():

 { # ONVIF::Device::Types::IPv4Configuration
   Manual =>  { # ONVIF::Device::Types::PrefixedIPv4Address
     Address => $some_value, # IPv4Address
     PrefixLength =>  $some_value, # int
   },
   LinkLocal =>  { # ONVIF::Device::Types::PrefixedIPv4Address
     Address => $some_value, # IPv4Address
     PrefixLength =>  $some_value, # int
   },
   FromDHCP =>  { # ONVIF::Device::Types::PrefixedIPv4Address
     Address => $some_value, # IPv4Address
     PrefixLength =>  $some_value, # int
   },
   DHCP =>  $some_value, # boolean
 },

AUTHOR
Generated by SOAP::WSDL